Bug 36410 - [SNB] Rendering errors in 3DMMES subtest taiji
Summary: [SNB] Rendering errors in 3DMMES subtest taiji
Status: VERIFIED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: 7.10
Hardware: Other Linux (All)
: medium major
Assignee: Kenneth Graunke
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-19 23:12 UTC by meng
Modified: 2011-04-21 18:29 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
Xorg.0.log (25.82 KB, text/plain)
2011-04-19 23:13 UTC, meng
Details
Photo for this screen mess (541.48 KB, image/png)
2011-04-19 23:14 UTC, meng
Details

Note You need to log in before you can comment on or make changes to this bug.
Description meng 2011-04-19 23:12:45 UTC
System Environment:
--------------------------
Platform:        SNB
Libdrm:          (master)2.4.25
Mesa:            (7.10)1f8c5611a2575e7c660fd10d322cebdafa41e29f
Xserver:         (server-1.10-branch)xorg-server-1.10.1
Xf86_video_intel:(master)2.15.0-3-gc9fb69cb2502917dfb2828c90802de7766072899
Cairo:           (master)b377380b7a5fe0982d057975cd87f6b652d3b0ff
Libva:           (master)bcb8dc4ab8a5da0a815211aa54aa383853fd92c2
Kernel:(drm-intel-fixes) 5c72d064f7ead1126bed6faab0c2bfb7418036e2

Bug detailed description:
-------------------------
Screen mess when running 3DMMES/taiji.It contains a series of demoes when runnig taiji.Screen mess only exists on the first demo(taiji.fms),but it works fine after demoes(eg.hover.fms,feature_tests.fms).Pls see attached photo.
Especifically:
1.It exists on Sugarbay and HuronRiver.
2.It's mesa regression.It works fine on master branch.

Reproduce steps:
-------------------------
1.xinit&
2.sh run.sh(3DMMES/taiji/bin)
Comment 1 meng 2011-04-19 23:13:23 UTC
Created attachment 45840 [details]
Xorg.0.log
Comment 2 meng 2011-04-19 23:14:19 UTC
Created attachment 45841 [details]
Photo for this screen mess
Comment 3 meng 2011-04-20 00:02:31 UTC
It also exists when running glbenchmark.
Comment 4 Ian Romanick 2011-04-20 14:29:27 UTC
(In reply to comment #0)
> System Environment:
> --------------------------
> Platform:        SNB
> Libdrm:          (master)2.4.25
> Mesa:            (7.10)1f8c5611a2575e7c660fd10d322cebdafa41e29f
> Xserver:         (server-1.10-branch)xorg-server-1.10.1
> Xf86_video_intel:(master)2.15.0-3-gc9fb69cb2502917dfb2828c90802de7766072899
> Cairo:           (master)b377380b7a5fe0982d057975cd87f6b652d3b0ff
> Libva:           (master)bcb8dc4ab8a5da0a815211aa54aa383853fd92c2
> Kernel:(drm-intel-fixes) 5c72d064f7ead1126bed6faab0c2bfb7418036e2
> 
> Bug detailed description:
> -------------------------
> Screen mess when running 3DMMES/taiji.It contains a series of demoes when
> runnig taiji.Screen mess only exists on the first demo(taiji.fms),but it works
> fine after demoes(eg.hover.fms,feature_tests.fms).Pls see attached photo.
> Especifically:
> 1.It exists on Sugarbay and HuronRiver.
> 2.It's mesa regression.It works fine on master branch.

That's not what "regression" means.  If it used to work on 7.10 but fails on 7.10 now, it would be a regression.  This is just a bug that has been fixed on master and the fix isn't in 7.10 yet.

Could you bisect to the commit (or commits) in master that fix it?
Comment 5 meng 2011-04-21 00:06:40 UTC
In Mesa's master branch,by bisected shows that:
9a21bc640188e4078075b9f8e6701853a4f0bbe4 bad
9d60a7ce08a67eb8b79c60f829d090ba4a37ed7e good
The commit 9d60a7c fixed it.

commit 9d60a7ce08a67eb8b79c60f829d090ba4a37ed7e
Author: Kenneth Graunke <kenneth@whitecape.org>
Date:   Tue Mar 29 05:49:40 2011 -0700

    i965: Resolve implied moves in brw_dp_READ_4_vs_relative.

    Fixes piglit test glsl-vs-arrays-3 on Sandybridge, as well as garbage
    rendering in 3DMarkMobileES 2.0's Taiji demo and GLBenchmark 2.0's
    Egypt and PRO demos.

    NOTE: This a candidate for stable release branches.  It depends on
    commit 9a21bc640188e4078075b9f8e6701853a4f0bbe4
Comment 6 Gordon Jin 2011-04-21 00:12:46 UTC
Ken, can you cherry pick it?
Comment 7 meng 2011-04-21 01:28:08 UTC
It works fine with 7.10-snb-vs-threads)0144f94c6b85b61f25dd8906041555e52c7370e1.
Comment 8 Ian Romanick 2011-04-21 12:52:50 UTC
(In reply to comment #5)
> In Mesa's master branch,by bisected shows that:
> 9a21bc640188e4078075b9f8e6701853a4f0bbe4 bad
> 9d60a7ce08a67eb8b79c60f829d090ba4a37ed7e good
> The commit 9d60a7c fixed it.
> 
> commit 9d60a7ce08a67eb8b79c60f829d090ba4a37ed7e
> Author: Kenneth Graunke <kenneth@whitecape.org>
> Date:   Tue Mar 29 05:49:40 2011 -0700
> 
>     i965: Resolve implied moves in brw_dp_READ_4_vs_relative.
> 
>     Fixes piglit test glsl-vs-arrays-3 on Sandybridge, as well as garbage
>     rendering in 3DMarkMobileES 2.0's Taiji demo and GLBenchmark 2.0's
>     Egypt and PRO demos.
> 
>     NOTE: This a candidate for stable release branches.  It depends on
>     commit 9a21bc640188e4078075b9f8e6701853a4f0bbe4

Great!  This was one of the commits in my 7.10-snb-vs-threads branch.  I merged that branch to 7.10 just today.  On 7.10, this is commit 0f02b4253d5b3a3bbdfc72711bb9a7c0781061f4.
Comment 9 meng 2011-04-21 18:29:00 UTC
Verified with commit (7.10)0f02b4253d5b3a3bbdfc72711bb9a7c0781061f4, it works fine.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.